import bb.cascades 1.2
import bb.cascades.maps 1.0
import QtMobilitySubset.location 1.1

// creates one page with a label
NavigationPane
{
    peekEnabled: false
    backButtonsVisible: false

    Page {
        actions: [
            //! [0]
            ActionItem {
                title: qsTr("Close")
                imageSource: "asset:///images/ic_cancel.png"
                ActionBar.placement: ActionBarPlacement.OnBar
                onTriggered: {
                    _mainApp.close_map()
                }
                objectName: "action_close"
            }
            //! [0]
        ]
        
        objectName: "page"
        Container {
            id: root
            layout: DockLayout {
            }
            //! [1]
            MapView {
                id: mapview
                altitude: 30000
                preferredWidth: 1440
                preferredHeight: 1440
                objectName: "mapview"
              onCaptionButtonClicked: {
                  _mainApp.navto_action()                
                }

            }
        
        }
    
    }
}
