import bb.cascades 1.0
//import "Common"

Sheet
{

	Page {
	    id: sheetModify
	
	    
	    titleBar: TitleBar {
	        id: addBar
            title: qsTr("Settings") + Retranslate.onLanguageChanged
	        visibility: ChromeVisibility.Visible
	        
	        dismissAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged
	            onTriggered: {
	                _settings.cancelSettings()
	            }
	        }
	        
	        acceptAction: ActionItem {
                title: qsTr("Save") + Retranslate.onLanguageChanged
	            onTriggered: {
                    _settings.saveSettings()
	            }
	        }
	    }// titleBar
	    

	    ScrollView {
	
	
		    Container
		    {
		        layout: StackLayout {
		        }
		        leftPadding: 10.0
		        topPadding: 10.0
		        rightPadding: 10.0
		        bottomPadding: 10.0
                horizontalAlignment: HorizontalAlignment.Fill

				Header {
                    title: qsTr("Map Provider") + Retranslate.onLanguageChanged
        		}
	            DropDown {
	                horizontalAlignment: HorizontalAlignment.Fill
	                objectName: "dd_provider"
	
                    title: qsTr("Provider") + Retranslate.onLanguageChanged
                    selectedIndex: 0
                    onSelectedIndexChanged: {
                        if (selectedIndex == 0)
                            pin_drop.setVisible(false)
                        else
                            pin_drop.setVisible(true)
                    }
                    Option {
	                    text: "BlackBerry Map"
                    }
	                Option {
                        text: "Google Map"
                    }
                }

                DropDown {
                    id: pin_drop
                    horizontalAlignment: HorizontalAlignment.Fill
                    objectName: "dd_google_pin_drop"
                    
                    title: qsTr("Pin Drop Icon") + Retranslate.onLanguageChanged
                    selectedIndex: 0
/*
                    Option {
                        text: "Photo Thumbnail"
                        imageSource: "asset:///images/test_pin.jpg"
                    }
*/
                    Option {
                        text: "Default"
                        imageSource: "asset:///images/on_map_pin.png"
                    }
                    Option {
                        text: "Blue Circle"
                        imageSource: "asset:///images/blu-circle.png"
                    }
                    Option {
                        text: "Green Circle"
                        imageSource: "asset:///images/grn-circle.png"
                    }
                    Option {
                        text: "Pink Circle"
                        imageSource: "asset:///images/pink-circle.png"
                    }
                    Option {
                        text: "Purple Circle"
                        imageSource: "asset:///images/purple-circle.png"
                    }
                    Option {
                        text: "Red Circle"
                        imageSource: "asset:///images/red-circle.png"
                    }
                    Option {
                        text: "White Circle"
                        imageSource: "asset:///images/wht-circle.png"
                    }

                    Option {
                        text: "Blue Star"
                        imageSource: "asset:///images/blu-stars.png"
                    }
                    Option {
                        text: "Green Star"
                        imageSource: "asset:///images/grn-stars.png"
                    }
                    Option {
                        text: "Pink Star"
                        imageSource: "asset:///images/pink-stars.png"
                    }
                    Option {
                        text: "Purple Star"
                        imageSource: "asset:///images/purple-stars.png"
                    }
                    Option {
                        text: "Red Star"
                        imageSource: "asset:///images/red-stars.png"
                    }
                    Option {
                        text: "White Star"
                        imageSource: "asset:///images/wht-stars.png"
                    }

                    Option {
                        text: "Blue"
                        imageSource: "asset:///images/ic_blue2.png"
                    }
                    Option {
                        text: "Green"
                        imageSource: "asset:///images/ic_green2.png"
                    }
                    Option {
                        text: "Purple"
                        imageSource: "asset:///images/ic_purple2.png"
                    }
                    Option {
                        text: "Red"
                        imageSource: "asset:///images/ic_red2.png"
                    }
                    Option {
                        text: "Yellow"
                        imageSource: "asset:///images/ic_yellow2.png"
                    }
                    Option {
                        text: "Person"
                        imageSource: "asset:///images/ic_person.png"
                    }
                    Option {
                        text: "Pin"
                        imageSource: "asset:///images/ic_blue_pin.png"
                    }

                
                }


            }
        }




    }
}
