import bb.cascades 1.2

// creates one page with a label
//Sheet
//{
//    peekEnabled: false
Page {
    actions: [
        //! [0]
        ActionItem {
            title: qsTr("First")
            imageSource: "asset:///images/ic_first.png"
            ActionBar.placement: ActionBarPlacement.OnBar
            onTriggered: {
                _mainApp.show_picture(0)
            }
            objectName: "action_first"
        },
        //! [0]
        ActionItem {
            title: qsTr("Prev")
            imageSource: "asset:///images/ic_previous.png"
            ActionBar.placement: ActionBarPlacement.OnBar
            onTriggered: {
                _mainApp.show_picture(-1)
            }
            objectName: "action_prev"
        },
        ActionItem {
            title: qsTr("Next")
            imageSource: "asset:///images/ic_next.png"
            ActionBar.placement: ActionBarPlacement.OnBar
            onTriggered: {
                _mainApp.show_picture(1)
            }
            objectName: "action_next"
        },
/*
        ActionItem {
                    title: qsTr("Center")
                    imageSource: "asset:///images/ic_map.png"
                    ActionBar.placement: ActionBarPlacement.OnBar
                    onTriggered: {
                        _mainApp.google_center_map()
                    }
                    objectName: "action_center"
        },
*/
        ActionItem {
                    title: _mainApp.viewModeTitle
                    imageSource: "asset:///images/ic_map.png"
                    ActionBar.placement: ActionBarPlacement.OnBar
                    onTriggered: {
                        _mainApp.nextViewMode()
                        map.setMapType(_mainApp.viewMode);
                    }
                    objectName: "action_map_view"
        }
        //! [0]
    ]
    
    objectName: "page"
    Container {
        id: root
        layout: DockLayout {
        }
        verticalAlignment: VerticalAlignment.Fill
        horizontalAlignment: HorizontalAlignment.Fill
        Map {
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Top
            id: map
            objectName: "google_map"
        }
        
        Container {
            horizontalAlignment: HorizontalAlignment.Left
            verticalAlignment: VerticalAlignment.Bottom
            layout: StackLayout {

            }
            background: Color.Gray
            leftPadding: 10
            topPadding: 10
            bottomPadding: 10
            preferredWidth: 120.0
            preferredHeight: 100
            opacity: 0.5
            Button {
                imageSource: "asset:///images/ic_add.png"
                preferredWidth: 81.0
                opacity: 0.9
                onClicked: {       
                    _mainApp.zoomMap(1)                                 
                }
            }
            Button {
                preferredWidth: 81.0
                imageSource: "asset:///images/ic_sub.png"
                opacity: 0.9
                onClicked: {       
                    _mainApp.zoomMap(-1)                                 
                }
            }
            Label {
                text: ""
            }

        }
    
    }
    onCreationCompleted: {
       // map.setCenter(43.468245, -80.519603);
//        _mainApp.setCenter.connect(map.setCenter);
    }

}
//}
