import bb.cascades 1.2


    Page {

        actions: [
            
            ActionItem {
                title: qsTr("Share") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_share.png"
                onTriggered: {
                    _mainApp.share_action()
                }
                objectName: "action_share"
            },
            
            ActionItem {
                title: qsTr("View") + Retranslate.onLanguageChanged	            
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_screens.png"
                onTriggered: {
                    _mainApp.view_action()
                }
                objectName: "action_view"
            },

            ActionItem {
                 title: qsTr("Nav To") + Retranslate.onLanguageChanged	            
                 ActionBar.placement: ActionBarPlacement.OnBar
                 imageSource: "asset:///images/ic_nav_to.png"
                 onTriggered: {
                     _mainApp.navto_action()
                 }
                 objectName: "action_go"
            }

        ]

        titleBar: TitleBar {
            title: qsTr("Picture Detail")

        }
        Container {
                layout: StackLayout {
                }

                Container {
                    
                    objectName: "fileinfo_container"
                    verticalAlignment: VerticalAlignment.Top
                    horizontalAlignment: HorizontalAlignment.Center
                    ImageView {
                         id: fileimage
                         scalingMethod: ScalingMethod.AspectFit
                         preferredHeight: 320
                         objectName: "file_image"
                         imageSource: "asset:///images/icon_amr_sdcard.png"
                     }

                } // container
                
                Divider {
                    
                }
                ScrollView {
                    Container {
                        Header
                        {
                            title: qsTr("File Name") + Retranslate.onLanguageChanged	            
                        
                        }
                        Label {
                            objectName: "filename"
                            multiline: true
                        }
                        Label {
                            objectName: "location"
                            multiline: true
                            textStyle.fontSize: FontSize.XSmall
                            textStyle.fontStyle: FontStyle.Italic
                        }
                        Header {
                            title: qsTr("GPS Co-ordinate") + Retranslate.onLanguageChanged	                                    
                        }
                        Label {
                            objectName: "gps"
                            multiline: true
                        }


                        
                        Container {
                            id: fileinfo
                            
                            
                            Header {
                                title: qsTr("File Size") + Retranslate.onLanguageChanged	            
                            
                            }
                            
                            Label {
                                objectName: "filesize"
                            }
                            Label {
                                text: _mainApp._exif_xresolution + " dpi"
                            }
                            Label {
                                text: _mainApp._exif_yresolution + " dpi"
                            }
                            Label {
                                text: _mainApp._exif_resolutionunit
                            }
                            
                        } // container
                        
                        Header {
                            title: qsTr("Camera Information")
                        }
                        Label {
                            text: _mainApp._exif_make;
                        }
                        Label {
                            text: _mainApp._exif_model;
                        }
                        Label {
                            text: _mainApp._exif_software;
                        }
                        Label {
                            text: _mainApp._exif_fnumber;
                        }
                        Label {
                            text: _mainApp._exif_exposuretime;
                        }
                        Label {
                            text: _mainApp._exif_isopeed;
                        }
                        Label {
                            text: _mainApp._exif_metermode;
                        }
                        Label {
                            text: _mainApp._exif_subjectdistance;
                        }
                        Label {
                            text: _mainApp._exif_flashmode;
                        }
                        Label {
                            text: _mainApp._exif_focuslength;
                        }
                        Label {
                            text: _mainApp._exif_focuslength35mm;
                        }
                        Label {
                            text: _mainApp._exif_digitalzoom;
                        }
                        Header {
                            title: qsTr("Last Modified") + Retranslate.onLanguageChanged	            
                        
                        }
                        
                        Label {
                            objectName: "modifydate"
                        }
                        
                    } // container
                    
                }

            
        } // container
    }

